Bug 476302 - gnome is unable to display bluetooth devices
gnome is unable to display bluetooth devices
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bluez-gnome (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-12 17:41 EST by Vitaly Bordug
Modified: 2009-03-04 20:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-04 20:09:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vitaly Bordug 2008-12-12 17:41:51 EST
Description of problem:
Either action with bluez via gui, that used to display available BT devices (like hcitool scan) is just empty list. But hcitool search command, executed from the console while dialog is "thinking" makes BT devices to appear in the list. 

Version-Release number of selected component (if applicable):
reproducible with bluetooth applet v1.8

How reproducible:
every time

Steps to Reproduce:
1.Right click on BT applet
2.select either send files to device or browse files
3.
  
Actual results:
Empty list

Expected results:
List with BT devices available

Additional info:
Comment 1 Vitaly Bordug 2008-12-12 17:44:46 EST
Also, actual behaviour of gnome bluez applications is different; nautilus-sendto is unable to send the file which is being happily transferred via bluetooth-applet (of course, with "help" of hcitool scan as described upper).
Comment 2 Harshad RJ 2008-12-14 10:26:19 EST
(In reply to comment #0)
> Either action with bluez via gui, that used to display available BT devices
> (like hcitool scan) is just empty list. But hcitool search command, executed
> from the console while dialog is "thinking" makes BT devices to appear in the
> list. 

Did you mean "hcitool scan"?

Anyway, even that doesn't work for me. That is, hcitool scan does find all devices, but it doesn't affect the applet / dialogs in any way.

All I get is an empty list, always.
Comment 3 Juan Antonio Martinez 2008-12-16 11:15:05 EST
Just compile an install bluez-4.22 from updates-testing repository and something gets better: device discover works from gnome-bluetooth-applet when "send file/browse " is issued

But "Setup new device" still fails...
Comment 4 Bastien Nocera 2009-03-04 20:09:29 EST
This should be fixed with the updates that followed.

Note You need to log in before you can comment on or make changes to this bug.